Create an API key for an application
curl --request POST \
--url https://api.avidoai.com/v0/api-keys \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"name": "Production API Key"
}
'import requests
url = "https://api.avidoai.com/v0/api-keys"
payload = { "name": "Production API Key" }
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Production API Key'})
};
fetch('https://api.avidoai.com/v0/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"key": "avido_prod_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"name": "Production API Key"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}API Keys
Create an API key for an application
Creates a new API key for the current application. The plaintext key is returned only once and must be stored securely.
POST
/
v0
/
api-keys
Create an API key for an application
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new API key
Human-friendly name for the API key
Required string length:
1 - 256Example:
"Production API Key"
Response
Successfully created API key
Successful response for creating an API key
Newly created API key including the plaintext key (returned once)
Show child attributes
Show child attributes
⌘I